> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Göstergeleri listele

> Tesis yetkilerinize göre erişebildiğiniz tüm göstergeleri listeler; her biri için temel bilgiler, kullanım durumu ve yetki kapsamı döner.



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.tr.json get /indicators
openapi: 3.0.3
info:
  title: Erguvan Genel API
  version: 1.0.0
  description: Erguvan platformuna entegrasyon için REST API referansının Türkçe sürümü.
servers:
  - url: https://app.azalt.co/api/v1
security: []
tags:
  - name: Activity
    x-displayName: Aktiviteler
  - name: ActivityDefinition
    x-displayName: Aktivite Tanımları
  - name: ApiKey
    x-displayName: API Anahtarları
  - name: Dashboard
    x-displayName: Panolar
  - name: DashboardWidget
    x-displayName: Pano Bileşenleri
  - name: Dataset
    x-displayName: Veri Setleri
  - name: DatasetItem
    x-displayName: Veri Seti Öğeleri
  - name: File
    x-displayName: Dosyalar
  - name: Form
    x-displayName: Formlar
  - name: FormElement
    x-displayName: Form Öğeleri
  - name: FormElementSubmission
    x-displayName: Form Öğesi Gönderimleri
  - name: FormSite
    x-displayName: Form-Tesis İlişkilendirmeleri
  - name: FormSubmission
    x-displayName: Form Gönderimleri
  - name: Indicator
    x-displayName: Göstergeler
  - name: Organization
    x-displayName: Organizasyonlar
  - name: Site
    x-displayName: Tesisler
  - name: Target
    x-displayName: Hedefler
  - name: Unit
    x-displayName: Birimler
  - name: User
    x-displayName: Kullanıcılar
paths:
  /indicators:
    get:
      tags:
        - Indicator
      summary: Göstergeleri listele
      description: >-
        Tesis yetkilerinize göre erişebildiğiniz tüm göstergeleri listeler; her
        biri için temel bilgiler, kullanım durumu ve yetki kapsamı döner.
      operationId: list
      parameters:
        - in: query
          name: includeDatasetItems
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    label:
                      type: string
                    description:
                      type: string
                      nullable: true
                    unitId:
                      type: string
                      nullable: true
                    unitName:
                      type: string
                      nullable: true
                    displayUnitId:
                      type: string
                      nullable: true
                    displayUnitName:
                      type: string
                      nullable: true
                    tags:
                      type: array
                      nullable: true
                      items:
                        type: string
                    preferredDatasetItemName:
                      type: string
                      nullable: true
                    preferredDatasetItemDatasetId:
                      type: string
                      nullable: true
                    expressionParts:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - indicator
                              - form_element
                              - operator
                              - number
                              - string
                              - scope_ref
                              - function
                          value:
                            type: string
                          metadata: {}
                        required:
                          - type
                          - value
                    datasetItems:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                          datasetId:
                            type: string
                          datasetName:
                            type: string
                          data: {}
                          year:
                            type: number
                            nullable: true
                        required:
                          - id
                          - name
                          - datasetId
                          - datasetName
                          - year
                    widgetUsage:
                      type: array
                      items:
                        type: object
                        properties:
                          widgetId:
                            type: string
                          widgetName:
                            type: string
                          dashboardId:
                            type: string
                            nullable: true
                          dashboardName:
                            type: string
                            nullable: true
                          reportId:
                            type: string
                            nullable: true
                          reportSectionId:
                            type: string
                            nullable: true
                          reportSectionName:
                            type: string
                            nullable: true
                          reportName:
                            type: string
                            nullable: true
                          isDirect:
                            type: boolean
                          viaIndicatorId:
                            type: string
                            nullable: true
                          viaIndicatorName:
                            type: string
                            nullable: true
                          viaIndicatorLabel:
                            type: string
                            nullable: true
                        required:
                          - widgetId
                          - widgetName
                          - dashboardId
                          - dashboardName
                          - reportId
                          - reportSectionId
                          - reportSectionName
                          - reportName
                          - isDirect
                          - viaIndicatorId
                          - viaIndicatorName
                          - viaIndicatorLabel
                    issues:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - deletedFormElement
                              - deletedForm
                              - orphanForm
                              - dependsOnBrokenIndicator
                          formElementId:
                            type: string
                          formName:
                            type: string
                          fieldName:
                            type: string
                          indicatorId:
                            type: string
                          indicatorName:
                            type: string
                        required:
                          - type
                    _count:
                      type: object
                      properties:
                        datasets:
                          type: number
                      required:
                        - datasets
                  required:
                    - id
                    - name
                    - label
                    - description
                    - unitId
                    - unitName
                    - displayUnitId
                    - displayUnitName
                    - tags
                    - preferredDatasetItemName
                    - preferredDatasetItemDatasetId
                    - expressionParts
                    - datasetItems
                    - widgetUsage
                    - issues
                    - _count
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````